ssclient

## Class HNSTableSuppport.SSCCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - javax.swing.DefaultCellEditor
    - - ssclient.HNSTableSuppport.SSCCellEditor

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor
  Direct Known Subclasses:
    HNSTableSuppport.HNSManCellEditor, HNSTableSuppport.HNSStdCellEditor
  Enclosing class:
    HNSTableSuppport

      public abstract static class HNSTableSuppport.SSCCellEditor
      extends javax.swing.DefaultCellEditor

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSCCellEditor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object item, boolean isSelected, int row, int col)`

    - ### Methods inherited from class javax.swing.DefaultCellEditor

      `cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, getCellEditorListeners, removeCellEditorListener`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, removeCellEditorListener`

- - ### Constructor Detail

    - #### SSCCellEditor

          public SSCCellEditor()

  - ### Method Detail

    - #### getTableCellEditorComponent

          public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                                java.lang.Object item,
                                                                boolean isSelected,
                                                                int row,
                                                                int col)

      Specified by:
        `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
      Overrides:
        `getTableCellEditorComponent` in class `javax.swing.DefaultCellEditor`